{% extends "base.html" %}
{% load vstatic %}
{% load crispy_forms_tags %}
{% load custom_tags %}
{% load list_tags %}
{% load rules %}
{% load organizacao_tags %}
{% block content %}
    {% has_perm 'usuaria.administrar' user as pode_administrar_usuaria %}
    {% has_perm 'admin_geral' user as admin_geral %}
    {% if organizacao %}
        {% has_perm 'organizacao.alterar' user organizacao as pode_administrar_organizacao %}
    {% endif %}
    {% if view_facet == 'testes' %}
        <div class="row">
            <div class="col-lg-12">
                <div class="alert alert-info">
                    Esta lista mostra apenas as comunidades <b>de teste</b>.
                </div>
            </div>
        </div>
    {% endif %}
    {% if view_facet == 'validados' %}
        <div class="row">
            <div class="col-lg-12">
                <div class="alert alert-success">
                    Esta lista mostra apenas as comunidades <b>validadas</b>.
                </div>
            </div>
        </div>
    {% endif %}
    {% if view_facet == 'em_analise' %}
        <div class="row">
            <div class="col-lg-12">
                <div class="alert alert-warning">
                    Esta lista mostra apenas as comunidades <b>em análise</b>.
                </div>
            </div>
        </div>
    {% endif %}
    <h2>
        Comunidades
        {% if user.is_parceira %}validadas e com dados públicos{% endif %}
        {% if view_facet == 'testes' %}de teste{% endif %}
        {% if view_facet == 'validados' %}validadas{% endif %}
        {% if view_facet == 'em_analise' %}em análise{% endif %}
        {{ filter_status_revisao }} {{ filter_usuaria }} {{ filter_municipio }}
        {% if organizacao %}- Organização <i>{{ organizacao }}</i>{% endif %}
        {% if filter_status_revisao or filter_usuaria or filter_municipio %}
            <a href="{% prefix_url_organizacao %}{% url 'TerritorioAgregadoIndex' %}"
               class="btn btn-primary pull-right">
                <i class="fa fa-arrow-left"></i> Ver todas
            </a>
        {% endif %}
    </h2>
    <table style="width:100%"
           id="territorios_list_table"
           class="table table-bordered table-striped table-condensed">
        <thead>
            <tr>
                {% for col in datatable_columns %}
                    <th class="{{ col.class }}"
                        data-idx="{{ forloop.counter0 }}"
                        {% if 'orderable' in col and not col.orderable %}data-dt-order="disable"{% endif %}>
                        {{ col.title }}
                    </th>
                {% endfor %}
            </tr>
        </thead>
    </table>
    <div id="revisora-associar-modal"
         class="modal fade bs-example-modal-sm"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">{% crispy form %}</div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                    <button type="button" class="btn btn-primary" id="revisora-associar-submit">Salvar</button>
                </div>
            </div>
        </div>
    </div>
    <div id="organizacao-associar-modal"
         class="modal fade"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true"><i class="fa fa-times"></i></span>
                    </button>
                </div>
                <div class="modal-body">{% crispy formOrganizacao %}</div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                    <button type="button"
                            class="btn btn-primary"
                            id="organizacao-associar-submit">Salvar</button>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}
{% block includes_footer %}
    <script>
        const request_user_id = {{ user.id }};
        DATATABLE_URL = '{% prefix_url_organizacao %}{{ datatable_url }}';
        const organizacaoId = {% if organizacao %}'{{ organizacao.id }}'{% else %}null{% endif %};
        const viewFacet = {% if view_facet %}'{{ view_facet }}'{% else %}null{% endif %};
    </script>
    <script type="text/javascript"
            src="{% vstatic 'main/js/territorios_list_serverside.js' %}"></script>
{% endblock includes_footer %}
